import ckan.plugins.toolkit as toolkit
import ckan.authz as authz
import ckan.logic as logic
from ckan.common import g
from flask import Blueprint
from ckan.views.dashboard import index
import logging

log = logging.getLogger(__name__)

blueprint = Blueprint('odsh_dashboard', __name__)


def dashboard(offset=0):
    log.info("views.dashboard::dashboard")
    is_sysadmin = authz.is_sysadmin(g.user)

    if not is_sysadmin:
        toolkit.abort(403)

    return index(offset)


def dashboard_datasets():
    log.info("views.dashboard::dashboard_datasets")
    is_sysadmin = authz.is_sysadmin(g.user)

    if not is_sysadmin:
        toolkit.abort(403)

    return index()
