import ckan.plugins.toolkit as toolkit
import ckan.lib.base as base
from flask import Blueprint, make_response
import logging

log = logging.getLogger(__name__)

blueprint = Blueprint('odsh_default', __name__)

def info_page():
    log.info("views.default::info_page")
    return toolkit.redirect_to('http://www.schleswig-holstein.de/odpinfo')

def start():
    log.info("views.default::start")
    return toolkit.redirect_to('/dataset')

def not_found():
    log.info("views.default::not_found")
    toolkit.abort(404)

def robots_txt():
    log.info("views.default::robots_txt")
    resp = make_response(base.render('home/robots.txt'))
    resp.headers['Content-Type'] = "text/plain; charset=utf-8"
    return resp
