import ckan.plugins.toolkit as toolkit
import ckan.authz as authz
import ckan.logic as logic
from ckan.common import g
from flask import Blueprint
import ckan.views.user as ckan_user_view
import logging

log = logging.getLogger(__name__)

blueprint = Blueprint('odsh_user', __name__)


def index():
    log.info("views.user::index")
    is_sysadmin = authz.is_sysadmin(g.user)

    if not is_sysadmin:
        toolkit.abort(403)
    return ckan_user_view.index()


# def register():
#     log.info("views.user::register")
#     is_sysadmin = authz.is_sysadmin(g.user)

#     if not is_sysadmin:
#         toolkit.abort(403)
#     return ckan_user_view.RegisterView.as_view(str(u'register'))


def read(id=None):
    log.info("views.user::read")
    if not g.user:
        return ckan_user_view.login()
    return ckan_user_view.read(id)


def activity(id, offset=0):
    log.info("views.user::activity")
    is_sysadmin = authz.is_sysadmin(g.user)

    if not is_sysadmin:
        toolkit.abort(403)
    return ckan_user_view.activity(id, offset)
